Skip to main content
GET
/
youtube
/
contact
cURL
curl -X GET "https://apiv3.creatordb.app/youtube/contact?channelId=UCX6OQ3DkcsbYNE6H8uQQuVA" \
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": {
    "emails": [
      "contact@mrbeastbusiness.com"
    ],
    "quotaUsed": 1,
    "quotaUsedTotal": 1,
    "remainingQuota": -1,
    "traceId": "1565d8d07cc82917f4cc22bd240d1adc",
    "timestamp": 1767934354696,
    "errorCode": "",
    "errorDescription": "",
    "success": true
  }
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

channelId
string
required

The unique YouTube channel ID.

Required string length: 1 - 50
Pattern: ^UC[a-zA-Z0-9_-]{22}$
Example:

"UCBR8-60-B28hp2BmDPdntcQ"

Response

YouTube creator contact information returned successfully.

data
object
required

Contact information of the specified YouTube creator.

Example:
{ "emails": ["example@email.com"] }
traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026